org.encog.mathutil.randomize

## Interface Randomizer

- All Known Implementing Classes:
    BasicRandomizer, ConsistentRandomizer, ConstRandomizer, Distort, FanInRandomizer, GaussianRandomizer, NguyenWidrowRandomizer, RangeRandomizer

      public interface Randomizer

  Defines the interface for a class that is capable of randomizing the weights and bias values of a neural network.
  Author:
    jheaton

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenerateRandom` | `getRandom()`
    `double` | `randomize(double d)` Starting with the specified number, randomize it to the degree specified by this randomizer.
    `void` | `randomize(double[] d)` Randomize the array based on an array, modify the array.
    `void` | `randomize(double[][] d)` Randomize the 2d array based on an array, modify the array.
    `void` | `randomize(double[] d, int begin, int size)` Randomize an array.
    `void` | `randomize(Matrix m)` Randomize the matrix based on an array, modify the array.
    `void` | `randomize(MLMethod network)` Randomize the synapses and bias values in the basic network based on an array, modify the array.
    `void` | `setRandom(GenerateRandom theRandom)` Explicitly set the Random source

- - ### Method Detail

    - #### randomize

          void randomize(MLMethod network)

      Randomize the synapses and bias values in the basic network based on an array, modify the array. Previous values may be used, or they may be discarded, depending on the randomizer.
      Parameters:
        `network` - A network to randomize.

    - #### randomize

          double randomize(double d)

      Starting with the specified number, randomize it to the degree specified by this randomizer. This could be a totally new random number, or it could be based on the specified number.
      Parameters:
        `d` - The number to randomize.
      Returns:
        A randomized number.

    - #### randomize

          void randomize(double[] d)

      Randomize the array based on an array, modify the array. Previous values may be used, or they may be discarded, depending on the randomizer.
      Parameters:
        `d` - An array to randomize.

    - #### randomize

          void randomize(double[][] d)

      Randomize the 2d array based on an array, modify the array. Previous values may be used, or they may be discarded, depending on the randomizer.
      Parameters:
        `d` - An array to randomize.

    - #### randomize

          void randomize(Matrix m)

      Randomize the matrix based on an array, modify the array. Previous values may be used, or they may be discarded, depending on the randomizer.
      Parameters:
        `m` - A matrix to randomize.

    - #### randomize

          void randomize(double[] d,
                       int begin,
                       int size)

      Randomize an array.
      Parameters:
        `d` - The array to randomize.
        `begin` - The beginning element.
        `size` - The size of the array.

    - #### setRandom

          void setRandom(GenerateRandom theRandom)

      Explicitly set the Random source
      Parameters:
        `theRandom` -

    - #### getRandom

          GenerateRandom getRandom()

      Returns:
        Retrieve the Random generator.

Copyright © 2014. All Rights Reserved.